Subject: bug#746: [devuan-dev] bug#746: Killed when starting modale dialog like pinentry

From: golinux <[email-masked]>
Date: Tue, 07 Mar 2023 11:03:15 -0600

On 2023-03-07 10:26, Mark Hindley wrote:
> Klaus,
> 
> On Mon, Mar 06, 2023 at 09:40:54PM +0100, Klaus Ethgen wrote:
>> Am Mo den  6. Mär 2023 um 21:23 schrieb Mark Hindley:
>> > You have a very non-standard installation. Where are all the -dmoN versions of
>> > packages from?
> 
> I suspect this is caused by your third party version of ffmpeg and
> libffmpegthumbnailer4v5
> installed a few days ago.
> 
>  2023-03-02 22:55:25 upgrade ffmpeg:amd64 10:5.1.2-dmo3 10:6.0-dmo2
>  2023-03-02 22:55:30 upgrade libffmpegthumbnailer-dev:amd64
> 1:2.2.2+git20220218-dmo1 1:2.2.2+git20220218-dmo2
>  2023-03-02 22:55:30 upgrade libffmpegthumbnailer4v5:amd64
> 1:2.2.2+git20220218-dmo1 1:2.2.2+git20220218-dmo2
>  2023-03-02 22:55:35 upgrade libxine2-ffmpeg:amd64 1:1.2.13-dmo1 
> 1:1.2.13-dmo2
> 
> Using apt depends --recursive --no-recommends --no-suggests, both 
> geeqie and
> pinentry-qt have a recursive dependency on ffmpeg and 
> libffmpegthumbnailer4v5
> (strangely!)
> 
> The changelog for the version you have installed says
> 
> ffmpegthumbnailer-dmo (1:2.2.2+git20220218-dmo2) unstable; 
> urgency=medium
> 
>   * Build with ffmpeg 6.0
> 
>  -- Christian Marillat <[email-masked]>  Thu, 02 Mar 2023
> 08:26:42 +0100
> 
> But Debian and Devuan have
> 
>  ffmpeg     | 7:5.1.2-3         | testing             | source, amd64,
> arm64, armel, armhf, i386, mips64el, mipsel, ppc64el, s390x
>  ffmpeg     | 7:5.1.2-3         | unstable            | source, amd64,
> arm64, armel, armhf, i386, mips64el, mipsel, ppc64el, s390x
> 
> So it is, perhaps, not surprising that you have breakage.
> 
>> Debian Multimedia... http://www.deb-multimedia.org/
> 
> Please note that Debian Multimedia is *not* affiliated or well 
> integrated with
> official Debian or Devuan.  It would be worth you reading
> https://wiki.debian.org/DebianMultimedia/FAQ which explains some 
> background.
> 
> In particular
> 
>  3. Common issues
> 
>  3.1. A recent upgrade of ffmpeg/libav-related library packages
>  (e.g. libavcodec) has broken related software (e.g. Totem, MPlayer, 
> VLC, Xine)
>  This is probably caused by unofficial packages from third-party 
> repositories,
>  e.g. 'deb-multimedia.org' (formerly 'debian-multimedia.org'). These 
> packages
>  are known to not integrate well with other software packages in Debian 
> and
>  cause breakage regularly.
> 
> I suggest you install the standard version of libffmpegthumbnailer4v5:
> 
>  libffmpegthumbnailer4v5 | 2.2.2+git20220218+dfsg-1+b1 | testing
> | amd64, arm64, armel, armhf, i386, mips64el, mipsel, ppc64el, s390x
>  libffmpegthumbnailer4v5 | 2.2.2+git20220218+dfsg-1+b1 | unstable
> | amd64, arm64, armel, armhf, i386, mips64el, mipsel, ppc64el, s390x
> 
> or indeed all of the -dmo packages and see if that helps.
> 
> Mark
> 

DMO is notorious for breaking Debian and has been as far back as I can 
remember. You can read past discussions about DMO on the Debian forum. 
Nothing recent though. Guess Debian users have gotten smarter . . .

https://forums.debian.net/search.php?keywords=DMO

golinux